<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    { 
            Schema::create('etab_axes', function (Blueprint $table) {
                $table->id();
                $table->unsignedBigInteger('axe_id');
                $table->foreign('axe_id')->references('id')->on('axes')
                ->constrained()
                ->onUpdate('restrict')
                ->onDelete('restrict'); 
                $table->unsignedBigInteger('etablissement_id');
                $table->foreign('etablissement_id')->references('id')->on('etablissements')
                ->constrained()
                ->onUpdate('restrict')
                ->onDelete('restrict'); 
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('etab_axes');
    }
};
